#include<stdio.h>
#include<string.h>

int main() 
{
   char a[17],b[17],c[17];
   char abc[53],acb[53],bac[53],bca[53],cab[53],cba[53],res[53];
   
   scanf("%s%s%s", &a,&b,&c);
   
   strcpy(abc,a);
   strcat(abc,b);
   strcat(abc,c);
   
   strcpy(acb,a);
   strcat(acb,c);
   strcat(acb,b);
   
   strcpy(bac,b);
   strcat(bac,a);
   strcat(bac,c);
   
   strcpy(bca,b);
   strcat(bca,c);
   strcat(bca,a);
   
   strcpy(cab,c);
   strcat(cab,a);
   strcat(cab,b);
   
   strcpy(cba,c);
   strcat(cba,b);
   strcat(cba,a);
   
   strcpy(res,abc);
   
   if(strcmp(acb,res)>0)
   {
       strcpy(res,acb);
   }
   
   if(strcmp(bac,res)>0)
   {
       strcpy(res,bac);
   }
   
   if(strcmp(bca,res)>0)
   {
       strcpy(res,bca);
   }
   
   if(strcmp(cab,res)>0)
   {
       strcpy(res,cab);
   }
   
   if(strcmp(cba,res)>0)
   {
       strcpy(res,cba);
   }
   
   printf("%s",res);
  
}